Bug 1029495 - [abrt] WARNING: CPU: 1 PID: 5223 at drivers/net/wireless/iwlwifi/pcie/trans.c:883 iwl_trans_pcie_grab_nic_access+0xd3/0xe0 [iwlwifi]()
[abrt] WARNING: CPU: 1 PID: 5223 at drivers/net/wireless/iwlwifi/pcie/trans.c...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fedora-kernel-wireless-iwl
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:17eec25a27b7cfc1fff875c48e2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 08:33 EST by Pavel Moravec
Modified: 2014-02-04 07:24 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-04 07:24:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (182.06 KB, text/plain)
2013-11-12 08:33 EST, Pavel Moravec
no flags Details

  None (edit)
Description Pavel Moravec 2013-11-12 08:33:40 EST
Description of problem:
- noticed some problems with wifi (seeming like not working at all, hardware switch disabling and enabling didnt recover it)
- unloading proper kernel modules and loading them back:

modprobe -r iwldvm
modprobe -r iwlwifi
modprobe iwlwifi
modprobe iwldvm

- at some time during the above, kernel crashed

Additional info:
reporter:       libreport-2.1.9
WARNING: CPU: 1 PID: 5223 at drivers/net/wireless/iwlwifi/pcie/trans.c:883 iwl_trans_pcie_grab_nic_access+0xd3/0xe0 [iwlwifi]()
Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)
Modules linked in: iwldvm(+) mac80211 iwlwifi cfg80211 rfcomm btusb fuse bnep bluetooth nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_conntrack ip6table_filter nf_conntrack ip6_tables snd_hda_codec_hdmi arc4 snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm sdhci_pci sdhci x86_pkg_temp_thermal coretemp snd_page_alloc kvm_intel mei_me mmc_core shpchp snd_timer iTCO_wdt iTCO_vendor_support kvm e1000e uvcvideo i2c_i801 videobuf2_vmalloc videobuf2_memops videobuf2_core videodev mei lpc_ich microcode thinkpad_acpi media mfd_core ptp pps_core wmi rfkill snd serio_raw soundcore mperf uinput dm_crypt crc32_pclmul crc32c_intel ghash_clmulni_intel i915 i2c_algo_bit drm_kms_helper drm i2c_core video [last unloaded: cfg80211]
CPU: 1 PID: 5223 Comm: modprobe Not tainted 3.11.7-200.fc19.x86_64 #1
Hardware name: LENOVO 2325F51/2325F51, BIOS G2ET32WW (1.12 ) 05/30/2012
 0000000000000009 ffff8801ade07af0 ffffffff8164777b ffff8801ade07b38
 ffff8801ade07b28 ffffffff8106715d ffff8801ad87c000 ffff8801ad87f258
 ffff8801ade07bc8 0000000000000000 ffff8801ad87c000 ffff8801ade07b88
Call Trace:
 [<ffffffff8164777b>] dump_stack+0x45/0x56
 [<ffffffff8106715d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810671cc>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffffa0430e83>] iwl_trans_pcie_grab_nic_access+0xd3/0xe0 [iwlwifi]
 [<ffffffffa042624a>] iwl_write_prph+0x2a/0x60 [iwlwifi]
 [<ffffffffa04319eb>] iwl_pcie_apm_init+0x15b/0x210 [iwlwifi]
 [<ffffffffa0431f41>] iwl_trans_pcie_start_hw+0x51/0x110 [iwlwifi]
 [<ffffffffa048a29e>] iwl_op_mode_dvm_start+0x20e/0xbf0 [iwldvm]
 [<ffffffffa04265fa>] _iwl_op_mode_start.isra.2+0x4a/0xb0 [iwlwifi]
 [<ffffffffa0426721>] iwl_opmode_register+0xc1/0xf0 [iwlwifi]
 [<ffffffffa04c5000>] ? 0xffffffffa04c4fff
 [<ffffffffa04c5037>] iwl_init+0x37/0x1000 [iwldvm]
 [<ffffffff810020fa>] do_one_initcall+0xfa/0x1b0
 [<ffffffff810524b3>] ? set_memory_nx+0x43/0x50
 [<ffffffff810cc60d>] load_module+0x1bbd/0x2660
 [<ffffffff810c8920>] ? store_uevent+0x40/0x40
 [<ffffffff810cd226>] SyS_finit_module+0x86/0xb0
 [<ffffffff81656999>] system_call_fastpath+0x16/0x1b
Comment 1 Pavel Moravec 2013-11-12 08:33:56 EST
Created attachment 822974 [details]
File: dmesg
Comment 2 Robert Bogomip 2013-12-13 12:48:56 EST
Description of problem:
woke up laptop from sleep

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.9
cmdline:        BOOT_IMAGE=/vmlinuz-3.11.10-200.fc19.x86_64 root=UUID=6e5c3b48-09c9-4bdd-9a28-5dc2c869978a ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 vconsole.keymap=uk rhgb quiet LANG=en_US.UTF-8
kernel:         3.11.10-200.fc19.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 470 at drivers/net/wireless/iwlwifi/pcie/trans.c:883 iwl_trans_pcie_grab_nic_access+0xd3/0xe0 [iwlwifi]()
Timeout waiting for hardware access (CSR_GP_CNTRL 0xffffffff)
Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security rfcomm iptable_raw bnep iTCO_wdt iTCO_vendor_support snd_hda_codec_hdmi snd_hda_codec_si3054 snd_hda_codec_realtek coretemp snd_hda_intel kvm_intel snd_hda_codec kvm snd_hwdep arc4 microcode snd_seq snd_seq_device snd_pcm uvcvideo iwldvm mac80211 videobuf2_vmalloc serio_raw i2c_i801 videobuf2_memops videobuf2_core videodev sdhci_pci iwlwifi lpc_ich sdhci btusb media mmc_core mfd_core r592 memstick bluetooth snd_page_alloc cfg80211 snd_timer r8169 snd mii soundcore asus_laptop sparse_keymap shpchp rfkill acpi_cpufreq input_polldev mperf uinput nouveau firewire_ohci mxm_wmi wmi i2c_algo_bit firewire_core drm_kms_helper ttm crc_itu_t drm i2c_core video
CPU: 1 PID: 470 Comm: NetworkManager Not tainted 3.11.10-200.fc19.x86_64 #1
Hardware name: OEGStone Z97V/Z97V, BIOS 0804    10/20/2008
 0000000000000009 ffff88013834f4a0 ffffffff8164768b ffff88013834f4e8
 ffff88013834f4d8 ffffffff8106715d ffff880130a54000 ffff880130a57258
 ffff88013834f578 0000000000000000 ffff880130a54000 ffff88013834f538
Call Trace:
 [<ffffffff8164768b>] dump_stack+0x45/0x56
 [<ffffffff8106715d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff810671cc>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffffa0370e83>] iwl_trans_pcie_grab_nic_access+0xd3/0xe0 [iwlwifi]
 [<ffffffffa036624a>] iwl_write_prph+0x2a/0x60 [iwlwifi]
 [<ffffffffa03719eb>] iwl_pcie_apm_init+0x15b/0x210 [iwlwifi]
 [<ffffffffa03725a6>] iwl_trans_pcie_start_fw+0xd6/0x750 [iwlwifi]
 [<ffffffff8164df75>] ? _raw_spin_unlock_bh+0x15/0x20
 [<ffffffffa0367d06>] ? iwl_init_notification_wait+0x66/0xa0 [iwlwifi]
 [<ffffffffa045b037>] iwl_load_ucode_wait_alive+0xa7/0x1f0 [iwldvm]
 [<ffffffffa04628c6>] ? iwl_sta_alloc_lq+0x56/0x90 [iwldvm]
 [<ffffffffa045a9c0>] ? iwl_send_calib_cfg+0xa0/0xa0 [iwldvm]
 [<ffffffffa0464e7f>] ? iwlagn_alloc_bcast_station+0x8f/0xf0 [iwldvm]
 [<ffffffffa045910a>] iwlagn_mac_start+0x12a/0x200 [iwldvm]
 [<ffffffffa03b0201>] ieee80211_do_open+0x2e1/0xd40 [mac80211]
 [<ffffffff816521ac>] ? notifier_call_chain+0x4c/0x70
 [<ffffffffa03b0cc9>] ieee80211_open+0x69/0x70 [mac80211]
 [<ffffffff8154dacf>] __dev_open+0xbf/0x140
 [<ffffffff8154dd92>] __dev_change_flags+0x92/0x170
 [<ffffffff8154df1d>] dev_change_flags+0x1d/0x60
 [<ffffffff8155b3b2>] do_setlink+0x332/0x9f0
 [<ffffffff8131b670>] ? __nla_put+0x20/0x30
 [<ffffffff8131b422>] ? nla_parse+0x32/0xe0
 [<ffffffff8155c6d4>] rtnl_newlink+0x394/0x5e0
 [<ffffffff8129d76e>] ? selinux_capable+0x2e/0x40
 [<ffffffff815590e9>] rtnetlink_rcv_msg+0x99/0x260
 [<ffffffff8129a9f5>] ? sock_has_perm+0x75/0x90
 [<ffffffff81559050>] ? rtnetlink_rcv+0x30/0x30
 [<ffffffff81577b49>] netlink_rcv_skb+0xa9/0xc0
 [<ffffffff81559048>] rtnetlink_rcv+0x28/0x30
 [<ffffffff8157719d>] netlink_unicast+0xdd/0x190
 [<ffffffff8157754f>] netlink_sendmsg+0x2ff/0x740
 [<ffffffff81574202>] ? netlink_seq_next+0x122/0x150
 [<ffffffff81575585>] ? netlink_recvmsg+0x205/0x390
 [<ffffffff81533e89>] sock_sendmsg+0x99/0xd0
 [<ffffffff81534548>] ? sock_recvmsg+0xa8/0xe0
 [<ffffffff815ef2c7>] ? unix_dgram_sendmsg+0x547/0x600
 [<ffffffff815342c8>] ___sys_sendmsg+0x3b8/0x3d0
 [<ffffffff8153445e>] ? SYSC_sendto+0x17e/0x1c0
 [<ffffffff815350c2>] __sys_sendmsg+0x42/0x80
 [<ffffffff81535112>] SyS_sendmsg+0x12/0x20
 [<ffffffff81656899>] system_call_fastpath+0x16/0x1b
Comment 3 Justin M. Forbes 2014-01-03 17:10:08 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 4 Stanislaw Gruszka 2014-02-04 07:24:23 EST
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.